Subject: Re: bug#66288: 29.1; Performance regression using pipe for subprocess

From: Eli Zaretskii <[email-masked]>
Date: Sun, 01 Oct 2023 11:39:49 +0300

> Date: Sat, 30 Sep 2023 20:57:31 -0400
> From: Chris Hanson <[email-masked]>
> 
> When using "xscheme.el" to start and interact with MIT/GNU Scheme in a
> subprocess, the performance significantly degraded in Emacs 29.1.  It
> worked well in older releases.
> 
> Here is a recipe:
> 
>      emacs -Q
>      M-x load-library RET xscheme RET
>      M-x run-scheme RET
> 
>      and see how slowly the process output is printed as Scheme starts.
>      Compare this to Emacs 28.2 or earlier.

Please post the comparison as you see it on your system, preferably in
quantitative terms (e.g., time it takes to read and process some chunk
of text in both versions), and using the same version of MIT/GNU
Scheme.

FWIW, I see no changes in xscheme.el between v28.1 and v29.1, except
some minor aesthetic changes and renames of functions.  So I wonder
how come you see a significant slowdown.